# For customisation by distributions.
%def_with sisyphus
%def_without junior
%def_without master
%def_without compact

%define ver_major 2.16

Name: gnome-settings
Version: %ver_major.0
Release: alt1

Summary: Default settings for the Gnome
License: GPL
Group: Graphical desktop/GNOME

BuildArch: noarch

Requires: design-graphics

%define GConf_ver 2.4.0
%define background %_datadir/artworks/backgrounds/default.png

PreReq: GConf2 >= %GConf_ver
# For compatibility (RPM macros for GConf once moved from GConf2 to libGConf2-devel), we require both packages.
BuildPreReq: GConf2 >= %GConf_ver
BuildPreReq: libGConf2-devel >= %GConf_ver

%if_with sisyphus
%define icon_theme gnome
Requires: gnome-icon-theme >= %ver_major
%endif

%if_with master
%define icon_theme Gnome
Requires: gnome-icon-theme >= 1.2.0
%endif

%if_with junior
%define icon_theme Gnome
Requires: gnome-icon-theme >= 1.2.0
%endif

%if_with compact
%define icon_theme BlueSphere
Requires: icons-%icon_theme >= 0.3.0-alt5
%endif

# Default proportional font
%define default_font XLinSans 11
Requires: dmtr40in-fonts
# Default monospace font
%define default_monofont DejaVu Sans Mono 10
Requires: fonts-ttf-dejavu

%description
This package contains default settings for Gnome design.

%post
if [ -f /etc/gconf/schemas/desktop_gnome_background.schemas ]; then
%gconf2_set string /desktop/gnome/background/picture_options stretched
%gconf2_set string /desktop/gnome/background/picture_filename %background
%gconf2_set string /desktop/gnome/background/primary_color \#21449c
%gconf2_set string /desktop/gnome/background/color_shading_type solid
fi
if [ -f /etc/gconf/schemas/desktop_gnome_interface.schemas ]; then
%gconf2_set string /desktop/gnome/interface/icon_theme %icon_theme
%gconf2_set string /desktop/gnome/interface/font_name %default_font
%gconf2_set string /desktop/gnome/interface/monospace_font_name %default_monofont
fi
if [ -f /etc/gconf/schemas/desktop_gnome_file_views.schemas ]; then
%gconf2_set string /desktop/gnome/file-views/icon_theme %icon_theme
fi

%triggerin -- libgnome
%gconf2_set string /desktop/gnome/background/picture_options stretched
%gconf2_set string /desktop/gnome/background/picture_filename %background
%gconf2_set string /desktop/gnome/background/primary_color \#21449c
%gconf2_set string /desktop/gnome/background/color_shading_type solid
%gconf2_set string /desktop/gnome/interface/icon_theme %icon_theme
%gconf2_set string /desktop/gnome/file-views/icon_theme %icon_theme
%gconf2_set string /desktop/gnome/interface/font_name %default_font
%gconf2_set string /desktop/gnome/interface/monospace_font_name %default_monofont

%files

%changelog
* Sat Oct 14 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.0-alt1
- a revive, no Bugzilla bugs fixed yet.
- use DejaVu Sans Mono instead VGA9 for a monospace font.

* Tue Mar 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt1
- 2.6.0

* Mon Sep 29 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt2
- fix path to backgrounds.

* Fri Sep 26 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- requires design-graphics (close #2988).

* Wed Aug 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.6-alt1
- Adopted for new design-graphics-* packages.

* Wed Feb 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0-alt5
- added customization by distributions.
- requires GConf2, not gconftool2.

* Sun Jan 26 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0-alt4
- Change default icon theme to BlueSphere.

* Mon Dec 09 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0-alt3
- Default interface and file-views icon themes (second for feature use).
- Removed dependence on libgnome.

* Fri Oct 11 2002 Stanislav Ievlev <inger@altlinux.ru> 1.0-alt2
- move to new gconf setting scheme

* Tue Oct 08 2002 Stanislav Ievlev <inger@altlinux.ru> 1.0-alt1
- Initial release
